Information on source package ocaml

Available versions

ReleaseVersion
jessie4.01.0-5
stretch4.02.3-9
buster4.05.0-10
sid4.05.0-10

Open issues

BugjessiestretchbustersidDescription
CVE-2018-9838vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableThe caml_ba_deserialize function in byterun/bigarray.c in the standard ...
CVE-2017-9779vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableOCaml compiler allows attackers to have unspecified impact via unknown ...
CVE-2015-8869vulnerable (no DSA)fixedfixedfixedOCaml before 4.03.0 does not properly handle sign extensions, which ...

Resolved issues

BugDescription
CVE-2017-9772Insufficient sanitisation in the OCaml compiler versions 4.04.0 and ...
CVE-2012-0839OCaml 3.12.1 and earlier computes hash values without restricting the ...

Security announcements

DSA / DLADescription
DLA-466-1ocaml - security update

Search for package or bug name: Reporting problems